/* Core */
body
{
    background-color: var(--color-light-background);
    display: flex;
    color: var(--color-standard-text);
    flex-direction: column;
    font-family: 'Intera', sans-serif;
    min-height: 100dvh;
}
main
{
    background-color: var(--color-light-background);
    display: flex;
    flex: 1;
    flex-direction: column;
}
/* Header */
header 
{
    background-color: var(--color-light-background);
    box-shadow: var(--shadow-box);
    height: var(--height-header);
    padding: var(--spacing-standard);
    position: sticky;
    top: 0; 
    z-index: 4;
}
.branding
{
    margin-left: 1rem;
}
.branding .title
{
    font-size: var(--scale-expanded);
    font-weight: var(--weight-bold);
    text-align: left;
    text-decoration: none;
    width: 20rem;
}
.branding a
{
    text-decoration: none;
}
.branding .tag
{
    font-size: var(--scale-magnified);
    font-style: italic;
    font-weight: var(--weight-thin);
    max-width: 20rem;
    min-width: 12rem;
    padding: var(--spacing-standard);
}
/* Navigation */
.navigation
{
    display: flex;
    align-items: center;
    justify-content: center;
}
.navigation a
{
    font-size: var(--scale-standard);
}
.navigation .current
{
    color: var(--color-standard-accent);
}
.navigation .divider
{
    color: var(--color-standard-background);
    font-size: var(--scale-expanded);
    font-weight: var(--weight-thin);
    margin: var(--spacing-minimal);
    z-index: 3;
}
/* Footer */
#copyright, .disclaimer
{
    font-size: var(--scale-minimized);
    font-style: italic;
    margin: var(--spacing-single);
}
.disclaimer
{
    text-align: center;
}
footer
{
    background: var(--color-light-background);
    color: white;
    margin-top: auto;
    padding: var(--spacing-standard);
}
/* Responsiveness */
@media (min-width: 901px) 
{
    header 
    {
        align-items: center;
        display: flex;
        justify-content: space-between;
    }
    .branding
    {
        align-items: center;
        display: flex;
        flex-basis: 40%;
    }
    .navigation
    {
        flex-basis: 100%;
        justify-content: flex-end;
    }
}
@media (max-width: 900px) 
{
    .branding
    {
        margin: 0;
    }
    .branding .title
    {
        text-align: center;
        width: 100%;
    }
    #copyright
    {
        text-align: center;
    }
}
@media (max-width: 300px) 
{
    header
    {
        display:flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
}